commit: 076f5fc2bda60a99fd000dda1f98e906c2abc354
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 31 08:08:34 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 10:14:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=076f5fc2
dev-python/wurlitzer: Bump to 2.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wurlitzer/Manifest | 1 +
dev-python/wurlitzer/wurlitzer-2.1.0.ebuild | 30 +++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/wurlitzer/Manifest b/dev-python/wurlitzer/Manifest
index 123051f4796..19b28ae0e46 100644
--- a/dev-python/wurlitzer/Manifest
+++ b/dev-python/wurlitzer/Manifest
@@ -1 +1,2 @@
DIST wurlitzer-2.0.1.tar.gz 10638 BLAKE2B
e5350a3920ae072f93a0043ec368766d8e190558b3e897e68b272b06d0d6ff7907f2aeecfd41a99b54804a596ad9f7d7062995a5c465724a2b87419ee801daa3
SHA512
06f67b666c2a364b5ee497fa2f0ab8640aeb2953b678e35b13e1558ab29bc5554f479731f9942d8f033275f5151bb9f86408e0f04b1120bae0f29b27649d783c
+DIST wurlitzer-2.1.0.tar.gz 8788 BLAKE2B
9a9e9696446fe31f0ff392eee011f341ee24c102e4e6bac195586b764386d1a835567560306cd3cb6e942b539a57ffa15aa9b3a20fac9224311ed7301130c84d
SHA512
cc7291786b0505627129619094218f51c0679c0c3550645af3b94bdd3f10afd5fc8402d89dcb599d874a5c9e4f4966dc49a6f98a1ab0e2bb9adbc3f95d4fcc6a
diff --git a/dev-python/wurlitzer/wurlitzer-2.1.0.ebuild
b/dev-python/wurlitzer/wurlitzer-2.1.0.ebuild
new file mode 100644
index 00000000000..823423a2e8e
--- /dev/null
+++ b/dev-python/wurlitzer/wurlitzer-2.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture C-level stdout/stderr in Python"
+HOMEPAGE="
+ https://github.com/minrk/wurlitzer/
+ https://pypi.org/project/wurlitzer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # things usually work better without typos
+ sed -i -e 's:unitest:unittest:' test.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest test.py
+}